Package org.gradle.api.resources

## Class MissingResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.resources.ResourceException
          - - org.gradle.api.resources.MissingResourceException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MissingResourceException
      extends ResourceException

  Exception thrown when the resource does not exist
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingResourceException​(java.lang.String message)` |
    `MissingResourceException​(java.lang.String message, java.lang.Throwable cause)` |
    `MissingResourceException​(java.net.URI location, java.lang.String message)` |
    `MissingResourceException​(java.net.URI location, java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.api.resources.ResourceException

      `getLocation`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingResourceException

          public MissingResourceException​(java.lang.String message)

    - #### MissingResourceException

          public MissingResourceException​(java.lang.String message,
                                          java.lang.Throwable cause)

    - #### MissingResourceException

          public MissingResourceException​(java.net.URI location,
                                          java.lang.String message)

    - #### MissingResourceException

          public MissingResourceException​(java.net.URI location,
                                          java.lang.String message,
                                          java.lang.Throwable cause)